Oracle Business Intelligence Publisher 多個弱點 (2018 年 10 月 CPU)

critical Nessus Plugin ID 120948

Synopsis

遠端主機受多個弱點影響。

描述

遠端主機上執行的 Oracle Business Intelligence Publisher 版本是 11.1.1.7.181016 之前的 11.1.1.7.x 版、11.1.1.9.181016 之前的 11.1.1.9.x 版、12.2.1.3.181016 之前的 12.2.1.3.x 版或 12.2.1.4.181016 之前的 12.2.1.4.x 版。因此,會受到 2018 年 10 月重要修補程式更新公告所述多個弱點影響:- 在 Apache Log4j 2.8.2 之前的 2.x 版中存在一個還原序列化弱點。未經驗證的遠端攻擊者可利用此弱點,透過特製的二進位檔,在目標主機上執行任意程式碼 (CVE-2017-5645)。- 在 Analytics Server、Oracle BI Publisher 中存在一個資訊洩漏弱點。受影響的支援版本為 12.2.1.3.0。未經驗證的遠端攻擊者可惡意利用此弱點,透過 HTTP 洩漏可能敏感的資訊。若要成功攻擊,必須有攻擊者以外之他人的互動,且雖然弱點位於 Oracle Business Intelligence Enterprise Edition 中,但攻擊可能對其他產品造成重大影響 (CVE-2018-3204)。- 在 Apache Batik 1.10 之前的 1.x 版中存在一個還原序列化弱點,這是因為 `AbstractDocument` 子類別所致。未經驗證的遠端攻擊者可利用此弱點,透過還原序列化 `AbstractDocument` 子類別,在目標主機上執行任意程式碼 (CVE-2018-8013)。請注意,Nessus 並未測試這些問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

按照 2018 年 10 月 Oracle 重要修補程式更新公告,套用適當的修補程式。

另請參閱

http://www.nessus.org/u?705136d8

Plugin 詳細資訊

嚴重性: Critical

ID: 120948

檔案名稱: oracle_bi_publisher_oct_2018_cpu.nasl

版本: 1.5

類型: combined

代理程式: windows, macosx, unix

系列: Misc.

已發布: 2019/1/3

已更新: 2022/4/11

組態: 啟用徹底檢查

支持的傳感器: Nessus Agent

風險資訊

VPR

風險因素: Medium

分數: 6.7

CVSS v2

風險因素: High

基本分數: 7.5

時間分數: 5.5

媒介: AV:N/AC:L/Au:N/C:P/I:P/A:P

時間媒介: E:U/RL:OF/RC:C

CVSS 評分資料來源: CVE-2018-8013

CVSS v3

風險因素: Critical

基本分數: 9.8

時間分數: 8.5

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: cpe:/a:oracle:fusion_middleware, cpe:/a:oracle:business_intelligence_publisher

必要的 KB 項目: installed_sw/Oracle Business Intelligence Publisher

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2018/10/16

弱點發布日期: 2018/10/16

參考資訊

CVE: CVE-2017-5645, CVE-2018-3204, CVE-2018-8013

BID: 97702, 104252, 105623